
Redmine - Feature #5418

Add Gravatar and edit link to "My account" page

2010-04-30 18:35 - Chris Rowe

Status: Closed Start date: 2010-04-30

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.1.0   

Resolution: Fixed   

Description

The Gravatar feature is working great for me but it took asking on irc to realize I had to go to gravatar.com to change my icon. It

would be cool to have the users Gravatar on their "My account" page and have a link under it to "edit icon" that would take you to

gravatar.com

Related issues:

Has duplicate Redmine - Feature #4489: Include a link / explanation from the ... Closed 2009-12-27

Associated revisions

Revision 14377 - 2015-06-27 11:46 - Jean-Philippe Lang

Add avatar and edit link to "My account" page (#5418).

History

#1 - 2010-05-07 03:38 - Yuki Kita

+1

This feature removes my task to explain to my colleagues that it is necessary to register in gravatar.com so that the gravator icons are displayed.

#2 - 2010-05-07 08:15 - Felix Schäfer

- Category changed from Accounts / authentication to UI

- Target version set to 0.9.5

I think this is more of a UI thing. Can we get this in for 0.9.5?

#3 - 2010-05-24 16:34 - Yuki Kita

- File account.rhtml.diff added

- File Screenshot.png added

Here is the patch.

Try it.

#4 - 2010-06-19 21:49 - Eric Davis

- Target version changed from 0.9.5 to 1.0.0 (RC)

Pushing this to 1.0, I don't consider it a must have for 0.9.5.

#5 - 2010-06-30 03:57 - Eric Davis

- Assignee set to Eric Davis

- Target version deleted (1.0.0 (RC))

I'll review this for a later version, trying to keep new features out of 1.0 right now.

#6 - 2010-11-27 00:40 - Eric Davis

- Assignee deleted (Eric Davis)

I am stepping down from working on Redmine.  If someone else is interesting in working on this issue, feel free to reassign it to them.
Eric Davis

#7 - 2011-02-25 12:30 - Dominic Clifton

This simple patch worked for me on 1.1.  Can we get it included in trunk?

#8 - 2013-03-20 13:33 - Fernando Hartmann

+1

#9 - 2015-05-26 22:32 - Robert Hailey

- File link-to-gravatar-2.6.5.diff added

Updated patch against 2.6.5

#10 - 2015-06-02 17:41 - Go MAEDA

- File 5418-remove-hard-coded-strings.diff added

Here is a new patch against trunk (r14294).

Removed hard coded strings.

#11 - 2015-06-25 12:34 - Toshi MARUYAMA

- Target version set to 3.1.0

#12 - 2015-06-27 11:47 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Feature added in r14377. A helper method was added to to make it easy for plugins to change this behaviour (eg. custom avatar store).

Files

account.rhtml.diff 891 Bytes 2010-05-24 Yuki Kita

Screenshot.png 79.6 KB 2010-05-24 Yuki Kita

link-to-gravatar-2.6.5.diff 977 Bytes 2015-05-26 Robert Hailey

5418-remove-hard-coded-strings.diff 1.88 KB 2015-06-02 Go MAEDA
